from annoying.decorators import render_to
from django.http import HttpRequest
from django.views.decorators.cache import cache_page

from library.models import Person, Book


@cache_page(30)
@render_to("library/index-page.html")
def view_index(request: HttpRequest) -> dict:  # noqa
    people = Person.objects.all()
    books = Book.objects.all()
    return {"people": people, "books": books}
